﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5000 (1 yr) DC Balance VER VISA
INSTRUMENT:            Sub Tek DPO5000 (1 yr) Trigger Output VISA
DATE:                  2012-07-18 06:38:37
AUTHOR:                Fluke
REVISION:              $Revision: 24326 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       28
NUMBER OF LINES:       477
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        DPO4034, DPO4054, DPO4104, DPO5204
#        MSO4034, MSO4054, MSO4104, MSO5204
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         TRIGGER_OUTPUT               PSUBI("Trigger Output")
  1.003  JMPL         DC_BALANCE                   PSUBI("DC Balance")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub Tek DPO5000 (1 yr) DC Balance VER VISA  =======================

  2.001  LABEL        DC_BALANCE
  2.002  RSLT         =
  2.003  HEAD         {DC BALANCE: Channel [V @Chan]}
  2.004  RSLT         =
  2.005  HEAD         -2{50 Ohm, 20 MHz Bandwidth}: 1 mV/div
  2.006  TARGET       -p
  2.007  TSET         TDESC = 1 mV/div; NTHROW = 1

  2.008  IF           @Chan == 1

  2.009  IF           ISVAR("@Timer")
  2.010  MATH         @StopTime = UTIME()
  2.011  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  2.012  RSLT         =Elapsed Time: [V ElapsedTime]
  2.013  RSLT         =
  2.014  ENDIF

  2.015  DISP         Connect a 50 Ohm feedthrough terminator to
  2.015  DISP         DUT channels 1, 2, 3 and 4.
  2.016  DISP         The next connection change occurs in approximately:
  2.016  DISP         [32] 3½ minutes

  2.017  IF           ISVAR("@Timer")
  2.018  MATH         @StartTime = UTIME()
  2.019  ENDIF

  2.020  ENDIF

  2.021  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
  2.022  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE MEAN;STATE ON
  2.023  VISA         CH[V @Chan]:SCA 1E-3;TER 50;BAN TWE
  2.024  VISA         HOR:SCA 1E-3
  2.025  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
  2.026  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.027  JMPL         END                          @Abort
  2.028  TARGET       -m
  2.029  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.030  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.031  JMPL         END                          @Abort
  2.032  VISA         MEASU:MEAS1:MEAN?[I]
  2.033  MATH         MEM = MEM / 1E-3
  2.034  MEMCX        0.0000mV       0.2000U

  3.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div; NTHROW = 1
  3.004  VISA         CH[V @Chan]:SCA 2E-3
  3.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.006  JMPL         END                          @Abort
  3.007  TARGET       -m
  3.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.010  JMPL         END                          @Abort
  3.011  VISA         MEASU:MEAS1:MEAN?[I]
  3.012  MATH         MEM = MEM / 1E-3
  3.013  MEMCX        0.0000mV       0.2000U

  4.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div; NTHROW = 1
  4.004  VISA         CH[V @Chan]:SCA 5E-3
  4.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.006  JMPL         END                          @Abort
  4.007  TARGET       -m
  4.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.010  JMPL         END                          @Abort
  4.011  VISA         MEASU:MEAS1:MEAN?[I]
  4.012  MATH         MEM = MEM / 1E-3
  4.013  MEMCX        0.0000mV       0.5000U

  5.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 10 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 10 mV/div; NTHROW = 1
  5.004  VISA         CH[V @Chan]:SCA 10E-3
  5.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.006  JMPL         END                          @Abort
  5.007  TARGET       -m
  5.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.010  JMPL         END                          @Abort
  5.011  VISA         MEASU:MEAS1:MEAN?[I]
  5.012  MATH         MEM = MEM / 1E-3
  5.013  MEMCX        0.0000mV       1.0000U

  6.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 20 mV/div
  6.002  TARGET       -p
  6.003  TSET         TDESC = 20 mV/div; NTHROW = 1
  6.004  VISA         CH[V @Chan]:SCA 20E-3
  6.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.006  JMPL         END                          @Abort
  6.007  TARGET       -m
  6.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.010  JMPL         END                          @Abort
  6.011  VISA         MEASU:MEAS1:MEAN?[I]
  6.012  MATH         MEM = MEM / 1E-3
  6.013  MEMCX        0.0000mV       2.0000U

  7.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 50 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 50 mV/div; NTHROW = 1
  7.004  VISA         CH[V @Chan]:SCA 50E-3
  7.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.006  JMPL         END                          @Abort
  7.007  TARGET       -m
  7.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.010  JMPL         END                          @Abort
  7.011  VISA         MEASU:MEAS1:MEAN?[I]
  7.012  MATH         MEM = MEM / 1E-3
  7.013  MEMCX        0.0000mV       5.0000U

  8.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 100 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 100 mV/div; NTHROW = 1
  8.004  VISA         CH[V @Chan]:SCA 100E-3
  8.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.006  JMPL         END                          @Abort
  8.007  TARGET       -m
  8.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  8.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.010  JMPL         END                          @Abort
  8.011  VISA         MEASU:MEAS1:MEAN?[I]
  8.012  MATH         MEM = MEM / 1E-3
  8.013  MEMCX        0.000mV        10.000U

  9.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 200 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 200 mV/div; NTHROW = 1
  9.004  VISA         CH[V @Chan]:SCA 200E-3
  9.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.006  JMPL         END                          @Abort
  9.007  TARGET       -m
  9.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  9.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.010  JMPL         END                          @Abort
  9.011  VISA         MEASU:MEAS1:MEAN?[I]
  9.012  MATH         MEM = MEM / 1E-3
  9.013  MEMCX        0.000mV        20.000U

 10.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 500 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 500 mV/div; NTHROW = 1
 10.004  VISA         CH[V @Chan]:SCA 500E-3
 10.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.006  JMPL         END                          @Abort
 10.007  TARGET       -m
 10.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.010  JMPL         END                          @Abort
 10.011  VISA         MEASU:MEAS1:MEAN?[I]
 10.012  MATH         MEM = MEM / 1E-3
 10.013  MEMCX        0.000mV        50.000U

 11.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 1 V/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 1 V/div; NTHROW = 1
 11.004  VISA         CH[V @Chan]:SCA 1
 11.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.006  JMPL         END                          @Abort
 11.007  TARGET       -m
 11.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.010  JMPL         END                          @Abort
 11.011  VISA         MEASU:MEAS1:MEAN?[I]
 11.012  MATH         MEM = MEM / 1E-3
 11.013  MEMCX        0.000mV        100.000U

 12.001  RSLT         =
 12.002  HEAD         -2{1 MOhm, 20 MHz Bandwidth}: 1 mV/div
 12.003  TARGET       -p
 12.004  TSET         TDESC = 1 mV/div; NTHROW = 1
 12.005  VISA         CH[V @Chan]:SCA 1E-3;TER 1E+6
 12.006  VISA         HOR:SCA 1E-3
 12.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.008  JMPL         END                          @Abort
 12.009  TARGET       -m
 12.010  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.012  JMPL         END                          @Abort
 12.013  VISA         MEASU:MEAS1:MEAN?[I]
 12.014  MATH         MEM = MEM / 1E-3
 12.015  MEMCX        0.0000mV       0.2000U

 13.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 2 mV/div
 13.002  TARGET       -p
 13.003  TSET         TDESC = 2 mV/div; NTHROW = 1
 13.004  VISA         CH[V @Chan]:SCA 2E-3
 13.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.006  JMPL         END                          @Abort
 13.007  TARGET       -m
 13.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.010  JMPL         END                          @Abort
 13.011  VISA         MEASU:MEAS1:MEAN?[I]
 13.012  MATH         MEM = MEM / 1E-3
 13.013  MEMCX        0.0000mV       0.4000U

 14.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 mV/div
 14.002  TARGET       -p
 14.003  TSET         TDESC = 5 mV/div; NTHROW = 1
 14.004  VISA         CH[V @Chan]:SCA 5E-3
 14.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.006  JMPL         END                          @Abort
 14.007  TARGET       -m
 14.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.010  JMPL         END                          @Abort
 14.011  VISA         MEASU:MEAS1:MEAN?[I]
 14.012  MATH         MEM = MEM / 1E-3
 14.013  MEMCX        0.0000mV       1.0000U

 15.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 mV/div
 15.002  TARGET       -p
 15.003  TSET         TDESC = 10 mV/div; NTHROW = 1
 15.004  VISA         CH[V @Chan]:SCA 10E-3
 15.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.006  JMPL         END                          @Abort
 15.007  TARGET       -m
 15.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 15.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.010  JMPL         END                          @Abort
 15.011  VISA         MEASU:MEAS1:MEAN?[I]
 15.012  MATH         MEM = MEM / 1E-3
 15.013  MEMCX        0.0000mV       2.0000U

 16.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 20 mV/div
 16.002  TARGET       -p
 16.003  TSET         TDESC = 20 mV/div; NTHROW = 1
 16.004  VISA         CH[V @Chan]:SCA 20E-3
 16.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.006  JMPL         END                          @Abort
 16.007  TARGET       -m
 16.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 16.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.010  JMPL         END                          @Abort
 16.011  VISA         MEASU:MEAS1:MEAN?[I]
 16.012  MATH         MEM = MEM / 1E-3
 16.013  MEMCX        0.0000mV       4.0000U

 17.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 100 mV/div
 17.002  TARGET       -p
 17.003  TSET         TDESC = 100 mV/div; NTHROW = 1
 17.004  VISA         CH[V @Chan]:SCA 100E-3
 17.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.006  JMPL         END                          @Abort
 17.007  TARGET       -m
 17.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 17.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.010  JMPL         END                          @Abort
 17.011  VISA         MEASU:MEAS1:MEAN?[I]
 17.012  MATH         MEM = MEM / 1E-3
 17.013  MEMCX        0.000mV        20.000U

 18.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 500 mV/div
 18.002  TARGET       -p
 18.003  TSET         TDESC = 500 mV/div; NTHROW = 1
 18.004  VISA         CH[V @Chan]:SCA 500E-3
 18.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.006  JMPL         END                          @Abort
 18.007  TARGET       -m
 18.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 18.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.010  JMPL         END                          @Abort
 18.011  VISA         MEASU:MEAS1:MEAN?[I]
 18.012  MATH         MEM = MEM / 1E-3
 18.013  MEMCX        0.000mV        100.000U

 19.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 1 V/div
 19.002  TARGET       -p
 19.003  TSET         TDESC = 1 V/div; NTHROW = 1
 19.004  VISA         CH[V @Chan]:SCA 1
 19.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.006  JMPL         END                          @Abort
 19.007  TARGET       -m
 19.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 19.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.010  JMPL         END                          @Abort
 19.011  VISA         MEASU:MEAS1:MEAN?[I]
 19.012  MATH         MEM = MEM / 1E-3
 19.013  MEMCX        0.00mV         200.00U

 20.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 V/div
 20.002  TARGET       -p
 20.003  TSET         TDESC = 10 V/div; NTHROW = 1
 20.004  VISA         CH[V @Chan]:SCA 10
 20.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.006  JMPL         END                          @Abort
 20.007  TARGET       -m
 20.008  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 20.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.010  JMPL         END                          @Abort
 20.011  VISA         MEASU:MEAS1:MEAN?[I]
 20.012  MATH         MEM = MEM / 1E-3
 20.013  MEMCX        0.00mV         2000.00U

 21.001  RSLT         =
 21.002  HEAD         -2{50 Ohm, 250 MHz Bandwidth}: 20 mV/div
 21.003  TARGET       -p
 21.004  TSET         TDESC = 20 mV/div; NTHROW = 1
 21.005  VISA         CH[V @Chan]:SCA 20E-3;TER 50;BAN TWO
 21.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.007  JMPL         END                          @Abort
 21.008  TARGET       -m
 21.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 21.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.011  JMPL         END                          @Abort
 21.012  VISA         MEASU:MEAS1:MEAN?[I]
 21.013  MATH         MEM = MEM / 1E-3
 21.014  MEMCX        0.0000mV       2.0000U

 22.001  RSLT         =
 22.002  HEAD         -2{1 MOhm, 250 MHz Bandwidth}: 20 mV/div
 22.003  TARGET       -p
 22.004  TSET         TDESC = 20 mV/div; NTHROW = 1
 22.005  VISA         CH[V @Chan]:TER 1E+6
 22.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.007  JMPL         END                          @Abort
 22.008  TARGET       -m
 22.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 22.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.011  JMPL         END                          @Abort
 22.012  VISA         MEASU:MEAS1:MEAN?[I]
 22.013  MATH         MEM = MEM / 1E-3
 22.014  MEMCX        0.0000mV       4.0000U

 23.001  RSLT         =
 23.002  HEAD         -2{50 Ohm, Full Bandwidth}: 20 mV/div
 23.003  TARGET       -p
 23.004  TSET         TDESC = 20 mV/div; NTHROW = 1
 23.005  VISA         CH[V @Chan]:TER 50;BAN FUL
 23.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.007  JMPL         END                          @Abort
 23.008  TARGET       -m
 23.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 23.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.011  JMPL         END                          @Abort
 23.012  VISA         MEASU:MEAS1:MEAN?[I]
 23.013  MATH         MEM = MEM / 1E-3
 23.014  MEMCX        0.0000mV       2.0000U

 24.001  RSLT         =
 24.002  HEAD         -2{1 MOhm, Full Bandwidth}: 20 mV/div
 24.003  TARGET       -p
 24.004  TSET         TDESC = 20 mV/div; NTHROW = 1
 24.005  VISA         CH[V @Chan]:TER 1E+6
 24.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.007  JMPL         END                          @Abort
 24.008  TARGET       -m
 24.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 24.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.011  JMPL         END                          @Abort
 24.012  VISA         MEASU:MEAS1:MEAN?[I]
 24.013  MATH         MEM = MEM / 1E-3
 24.014  MEMCX        0.0000mV       4.0000U

 25.001  LABEL        END
 25.002  HEAD         -2
 25.003  HEAD
 25.004  END

 25.005  EVAL   Increment step number

# =====  Sub Tek DPO5000 (1 yr) Trigger Output VER VISA  ====================

 26.001  LABEL        TRIGGER_OUTPUT
 26.002  RSLT         =
 26.003  HEAD         {TRIGGER OUTPUT}: 1 MOhm
 26.004  M9500                       CH1
 26.005  TARGET       -p

 26.006  IF           ISVAR("@Timer")
 26.007  MATH         @StopTime = UTIME()
 26.008  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
 26.009  RSLT         =
 26.010  RSLT         =Elapsed Time: [V ElapsedTime]
 26.011  ENDIF

 26.012  DISP         Connect the DUT AUX OUT (on rear) to DUT CH1
 26.012  DISP         via a BNC(m)-(m) 50 ohm cable.

 26.013  IF           ISVAR("@Timer")
 26.014  MATH         @StartTime = UTIME()
 26.015  ENDIF

 26.016  VISA         CH1:TER 1E+6;SCA 1
 26.017  VISA         HOR:SCA 4E-6
 26.018  VISA         MEASU:MEAS1:SOU CH1;TYPE HIGH;STATE ON
 26.019  VISA         MEASU:MEAS2:SOU CH1;TYPE LOW;STATE ON
 26.020  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.021  JMPL         END                          @Abort
 26.022  WAIT         -t 2 System Settling ...
 26.023  VISA         MEASU:MEAS1:VAL?[I]
 26.024  MATH         High = MEM
 26.025  VISA         MEASU:MEAS2:VAL?[I]
 26.026  MATH         Low = MEM
 26.027  EVAL   -e (Low <= 0.7) && (High >= 2.5) : 1 MOhm

 27.001  HEAD         TRIGGER OUTPUT: 50 Ohm
 27.002  TARGET
 27.003  VISA         CH1:TER 50
 27.004  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.005  JMPL         END                          @Abort
 27.006  WAIT         -t 2 System Settling ...
 27.007  VISA         MEASU:MEAS1:VAL?[I]
 27.008  MATH         High = MEM
 27.009  VISA         MEASU:MEAS2:VAL?[I]
 27.010  MATH         Low = MEM
 27.011  EVAL   -e (Low <= 0.25) && (High >= 1.0) : 50 Ohm

 28.001  HEAD
 28.002  VISA         MEASU:MEAS1:STATE OFF
 28.003  VISA         MEASU:MEAS2:STATE OFF
 28.004  END
