﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5034/5054 (1 yr) VER VISA /O_CAL+S6,DMM
DATE:                  2012-07-18 11:37:15
AUTHOR:                Fluke
REVISION:              $Revision: 27038 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       375
CONFIGURATION:         Fluke Ocal (600MHz)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        DPO5034, DPO5054
#        MSO5034, MSO5054
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek DPO5034/5054 (1 yr) VER VISA /O_CAL+S6,DMM
#        Sub Display Copyright
#        Sub Tek MSO/DPO5000 Remote Interface Connection
#        Sub IEEE-488.2 *IDN? VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 *IDN? Check Response
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub Tek MSO/DPO5000 Preliminary Instructions
#        Sub Tek MSO/DPO5000 Additional Equipment Req.
#        Sub Tek MDO/MSO/DPO Self-Test VISA
#        Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
#        Sub Tek DPO5000 (1 yr) DC Balance VER VISA
#        Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
#        Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
#        Sub Tek DPO5034/5054 (1 yr) 50 Ohm BW VER VISA/O_CAL+S6
#        Sub Tek DPO5034/5054 (1 yr) 1 MOhm BW VER VISA/O_CAL+S6
#        Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /O_CAL
#        Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
#        Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
#        Sub Tek DPO5000 (1 yr) Trigger Output VISA
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Flexible Driver Subprocedures:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#
#  Required Files:
#        user_config_instr.ini
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LeveledSine; +Freq = 500 MHz; Voltage = 1 Vpp
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright

  1.011  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.012  CALL         Sub Tek MSO/DPO5000 Remote Interface Connection
  1.013  JMPL         END                          @Abort

  1.014  VISA         *RST

  1.015  CALL         Sub IEEE-488.2 *IDN? VISA
  1.016  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.017  JMPL         END                          @Abort

  1.018  CALL         Sub High Voltage Safety Warning
  1.019  CALL         Sub Select Failed Test Mode
  1.020  CALL         Sub Select Verification Method (No NTHROW)
  1.021  CALL         Sub Tek MSO/DPO5000 Preliminary Instructions
  1.022  CALL         Sub Tek MSO/DPO5000 Additional Equipment Req.

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   INPUT IMPEDANCE 10 mV/div: Ch1     RANDOM NOISE: Ch1
#    4.   INPUT IMPEDANCE 100 mV/div: Ch1    RANDOM NOISE: Ch2
#    5.   INPUT IMPEDANCE 1 V/div: Ch1       RANDOM NOISE: Ch3
#    6.   INPUT IMPEDANCE 10 mV/div: Ch2     RANDOM NOISE: Ch4
#    7.   INPUT IMPEDANCE 100 mV/div: Ch2    INPUT IMPEDANCE 100 mV/div: Ch1
#    8.   INPUT IMPEDANCE 1 V/div: Ch2       INPUT IMPEDANCE 1 V/div: Ch1
#    9.   INPUT IMPEDANCE 10 mV/div: Ch3     INPUT IMPEDANCE 100 mV/div: Ch2
#   10.   INPUT IMPEDANCE 100 mV/div: Ch3    INPUT IMPEDANCE 1 V/div: Ch2
#   11.   INPUT IMPEDANCE 1 V/div: Ch3       INPUT IMPEDANCE 100 mV/div: Ch3
#   12.   INPUT IMPEDANCE 10 mV/div: Ch4     INPUT IMPEDANCE 1 V/div: Ch3
#   13.   INPUT IMPEDANCE 100 mV/div: Ch4    INPUT IMPEDANCE 100 mV/div: Ch4
#   14.   INPUT IMPEDANCE 1 V/div: Ch4       INPUT IMPEDANCE 1 V/div: Ch4
#   15.   DC BALANCE: Ch1                    DC BALANCE: Ch1
#   16.   DC BALANCE: Ch2                    DC BALANCE: Ch2
#   17.   DC BALANCE: Ch3                    DC BALANCE: Ch3
#   18.   DC BALANCE: Ch4                    DC BALANCE: Ch4
#   19.   DCV GAIN ACC: Ch1                  BANDWIDTH 1 MOhm: Ch1
#   20.   DCV GAIN ACC: Ch2                  BANDWIDTH 1 MOhm: Ch2
#   21.   DCV GAIN ACC: Ch3                  BANDWIDTH 1 MOhm: Ch3
#   22.   DCV GAIN ACC: Ch4                  BANDWIDTH 1 MOhm: Ch4
#   23.   DC OFFSET: Ch1                     INPUT IMPEDANCE 10 mV/div: Ch1
#   24.   DC OFFSET: Ch2                     DCV GAIN ACC: Ch1
#   25.   DC OFFSET: Ch3                     DC OFFSET: Ch1
#   26.   DC OFFSET: Ch4                     BANDWIDTH 50 Ohm: Ch1
#   27.   BANDWIDTH 50 Ohm: Ch1              DELTA TIME ACC: Ch1
#   28.   BANDWIDTH 1 MOhm: Ch1              SAMPLE RATE AND DELAY TIME
#   29.   BANDWIDTH 50 Ohm: Ch2              INPUT IMPEDANCE 10 mV/div: Ch2
#   30.   BANDWIDTH 1 MOhm: Ch2              DCV GAIN ACC: Ch2
#   31.   BANDWIDTH 50 Ohm: Ch3              DC OFFSET: Ch2
#   32.   BANDWIDTH 1 MOhm: Ch3              BANDWIDTH 50 Ohm: Ch2
#   33.   BANDWIDTH 50 Ohm: Ch4              DELTA TIME ACC: Ch2
#   34.   BANDWIDTH 1 MOhm: Ch4              INPUT IMPEDANCE 10 mV/div: Ch3
#   35.   SAMPLE RATE AND DELAY TIME         DCV GAIN ACC: Ch3
#   36.   RANDOM NOISE: Ch1                  DC OFFSET: Ch3
#   37.   RANDOM NOISE: Ch2                  BANDWIDTH 50 Ohm: Ch3
#   38.   RANDOM NOISE: Ch3                  DELTA TIME ACC: Ch3
#   39.   RANDOM NOISE: Ch4                  INPUT IMPEDANCE 10 mV/div: Ch4
#   40.   DELTA TIME ACC: Ch1                DCV GAIN ACC: Ch4
#   41.   DELTA TIME ACC: Ch2                DC OFFSET: Ch4
#   42.   DELTA TIME ACC: Ch3                BANDWIDTH 50 Ohm: Ch4
#   43.   DELTA TIME ACC: Ch4                DELTA TIME ACC: Ch4
#   44.   TRIGGER OUTPUT                     TRIGGER OUTPUT

  1.023  MATH         @Timeout = 10000

  1.024  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek MDO/MSO/DPO Self-Test VISA
  1.027  JMPL         END                           @Abort

  1.028  IF           ISVAR("@Timer")
  1.029  MATH         @StartTime = UTIME()
  1.030  ENDIF

  1.031  MATH         @CalMultiChan = 0; @CalChan = 1
  1.032  JMPL         RANDOM_NOISE

# -----  Input Impedance  ---------------------------------------------------

  1.033  LABEL        INPUT_IMPEDANCE_CH1_O_CAL
  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.036  JMPL         DCV_GAIN_CH1

  1.037  LABEL        INPUT_IMPEDANCE_CH1_DMM
  1.038  MATH         @Chan = 1
  1.039  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.040  JMPL         INPUT_IMPEDANCE_CH2_DMM

  1.041  LABEL        INPUT_IMPEDANCE_CH2_O_CAL
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.044  JMPL         DCV_GAIN_CH2

  1.045  LABEL        INPUT_IMPEDANCE_CH2_DMM
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.048  JMPL         INPUT_IMPEDANCE_CH3_DMM

  1.049  LABEL        INPUT_IMPEDANCE_CH3_O_CAL
  1.050  MATH         @Chan = 3
  1.051  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.052  JMPL         DCV_GAIN_CH3

  1.053  LABEL        INPUT_IMPEDANCE_CH3_DMM
  1.054  MATH         @Chan = 3
  1.055  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.056  JMPL         INPUT_IMPEDANCE_CH4_DMM

  1.057  LABEL        INPUT_IMPEDANCE_CH4_O_CAL
  1.058  MATH         @Chan = 4
  1.059  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /O_CAL
  1.060  JMPL         DCV_GAIN_CH4

  1.061  LABEL        INPUT_IMPEDANCE_CH4_DMM
  1.062  MATH         @Chan = 4
  1.063  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /DMM
  1.064  JMPL         DC_BALANCE

# -----  DC Balance  --------------------------------------------------------

  1.065  LABEL        DC_BALANCE
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.068  MATH         @Chan = 2
  1.069  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.070  MATH         @Chan = 3
  1.071  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.072  MATH         @Chan = 4
  1.073  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.074  JMPL         BANDWIDTH_CH1_1_MOhm

# -----  DCV Gain  ----------------------------------------------------------

  1.075  LABEL        DCV_GAIN_CH1
  1.076  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.077  JMPL         END                          @Abort
  1.078  JMPL         DC_OFFSET_CH1

  1.079  LABEL        DCV_GAIN_CH2
  1.080  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.081  JMPL         END                          @Abort
  1.082  JMPL         DC_OFFSET_CH2

  1.083  LABEL        DCV_GAIN_CH3
  1.084  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.085  JMPL         END                          @Abort
  1.086  JMPL         DC_OFFSET_CH3

  1.087  LABEL        DCV_GAIN_CH4
  1.088  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /O_CAL
  1.089  JMPL         END                          @Abort
  1.090  JMPL         DC_OFFSET_CH4

# -----  DC Offset  ---------------------------------------------------------

  1.091  LABEL        DC_OFFSET_CH1
  1.092  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.093  JMPL         END                          @Abort
  1.094  JMPL         BANDWIDTH_CH1_50_Ohm

  1.095  LABEL        DC_OFFSET_CH2
  1.096  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.097  JMPL         END                          @Abort
  1.098  JMPL         BANDWIDTH_CH2_50_Ohm

  1.099  LABEL        DC_OFFSET_CH3
  1.100  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.101  JMPL         END                          @Abort
  1.102  JMPL         BANDWIDTH_CH3_50_Ohm

  1.103  LABEL        DC_OFFSET_CH4
  1.104  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /O_CAL
  1.105  JMPL         END                          @Abort
  1.106  JMPL         BANDWIDTH_CH4_50_Ohm

# -----  Bandwidth   --------------------------------------------------------

  1.107  LABEL        BANDWIDTH_CH1_50_Ohm
  1.108  CALL         Sub Tek DPO5034/5054 (1 yr) 50 Ohm BW VER VISA/O_CAL+S6
  1.109  JMPL         END                          @Abort
  1.110  JMPL         DELTA_TIME_CH1

  1.111  LABEL        BANDWIDTH_CH1_1_MOhm
  1.112  MATH         @Chan = 1
  1.113  CALL         Sub Tek DPO5034/5054 (1 yr) 1 MOhm BW VER VISA/O_CAL+S6
  1.114  JMPL         END                          @Abort
  1.115  JMPL         BANDWIDTH_CH2_1_MOhm

  1.116  LABEL        BANDWIDTH_CH2_50_Ohm
  1.117  CALL         Sub Tek DPO5034/5054 (1 yr) 50 Ohm BW VER VISA/O_CAL+S6
  1.118  JMPL         END                          @Abort
  1.119  JMPL         DELTA_TIME_CH2

  1.120  LABEL        BANDWIDTH_CH2_1_MOhm
  1.121  MATH         @Chan = 2
  1.122  CALL         Sub Tek DPO5034/5054 (1 yr) 1 MOhm BW VER VISA/O_CAL+S6
  1.123  JMPL         END                          @Abort
  1.124  JMPL         BANDWIDTH_CH3_1_MOhm

  1.125  LABEL        BANDWIDTH_CH3_50_Ohm
  1.126  CALL         Sub Tek DPO5034/5054 (1 yr) 50 Ohm BW VER VISA/O_CAL+S6
  1.127  JMPL         END                          @Abort
  1.128  JMPL         DELTA_TIME_CH3

  1.129  LABEL        BANDWIDTH_CH3_1_MOhm
  1.130  MATH         @Chan = 3
  1.131  CALL         Sub Tek DPO5034/5054 (1 yr) 1 MOhm BW VER VISA/O_CAL+S6
  1.132  JMPL         END                          @Abort
  1.133  JMPL         BANDWIDTH_CH4_1_MOhm

  1.134  LABEL        BANDWIDTH_CH4_50_Ohm
  1.135  CALL         Sub Tek DPO5034/5054 (1 yr) 50 Ohm BW VER VISA/O_CAL+S6
  1.136  JMPL         END                          @Abort
  1.137  JMPL         DELTA_TIME_CH4

  1.138  LABEL        BANDWIDTH_CH4_1_MOhm
  1.139  MATH         @Chan = 4
  1.140  CALL         Sub Tek DPO5034/5054 (1 yr) 1 MOhm BW VER VISA/O_CAL+S6
  1.141  JMPL         END                          @Abort
  1.142  JMPL         INPUT_IMPEDANCE_CH1_O_CAL

# -----  Sample Rate   ------------------------------------------------------

  1.143  LABEL        SAMPLE_RATE
  1.144  MATH         @Chan = 1
  1.145  CALL         Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /O_CAL
  1.146  JMPL         INPUT_IMPEDANCE_CH2_O_CAL

# -----  Random Noise   -----------------------------------------------------

  1.147  LABEL        RANDOM_NOISE
  1.148  MATH         @Chan = 1
  1.149  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.150  MATH         @Chan = 2
  1.151  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.152  MATH         @Chan = 3
  1.153  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.154  MATH         @Chan = 4
  1.155  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.156  JMPL         INPUT_IMPEDANCE_CH1_DMM

# -----  Delta Time   -------------------------------------------------------

  1.157  LABEL        DELTA_TIME_CH1
  1.158  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.159  JMPL         SAMPLE_RATE

  1.160  LABEL        DELTA_TIME_CH2
  1.161  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.162  JMPL         INPUT_IMPEDANCE_CH3_O_CAL

  1.163  LABEL        DELTA_TIME_CH3
  1.164  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL
  1.165  JMPL         INPUT_IMPEDANCE_CH4_O_CAL

  1.166  LABEL        DELTA_TIME_CH4
  1.167  CALL         Sub Tek DPO5000 (1 yr) Delta Time VER VISA /O_CAL

# -----  Trigger Output   ---------------------------------------------------

  1.168  CALL         Sub Tek DPO5000 (1 yr) Trigger Output VISA

  1.169  LABEL        END

  1.170  IF           ISVAR("@Timer")
  1.171  MATH         @StopTime = UTIME()
  1.172  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  1.173  RSLT         =
  1.174  RSLT         =Elapsed Time: [V ElapsedTime]
  1.175  ENDIF

  1.176  END
